Bug 739573 - Volume problems on USB Logitech(reproduced for sennheiser too) headset
Summary: Volume problems on USB Logitech(reproduced for sennheiser too) headset
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 15
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-19 14:39 UTC by Alexander Lipatov
Modified: 2012-08-14 16:36 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 547638
Environment:
Last Closed: 2012-08-07 16:58:23 UTC


Attachments (Terms of Use)

Description Alexander Lipatov 2011-09-19 14:39:34 UTC
+++ This bug was initially created as a clone of Bug #547638 +++

Description of problem:
Lack of volume on USB headset. Regression since F12.

Version-Release number of selected component (if applicable):
Rawhide

How reproducible:
Always

Steps to Reproduce:
1. Connect headset
2. Turn up volume
3.
  
Actual results:
Almost inaudible until I restart pulseaudio. Still too low after restarting pulseaudio. In F12 the max volume is higher than what I have been able to get from rawhide, and I don't need to restart pulseaudio to get it. Sadly, even the max volume with F12 is low.

In sound preferences I can drag the volume bar past 100%, but at the top it's still not at the volume I get as 100% in F12.

Expected results:
Music, loud music

Additional info:

The volume buttons on the headset work, but the mute button doesn't. The '+' button cannot turn the volume higher than 100% on the volume slider in sound preferences.

dmesg doesn't seem to say anything interesting. Do you need pulseaudio -vvvv traces? Anything else?

--- Additional comment from lpoetter@redhat.com on 2009-12-17 09:27:20 EST ---

Sounds like an issue with incorrect dB information provided by the card or the driver.

Please check if "alsactl init 0" fixes your problem. If it doesn't, please run "alsamixer -c0" and try to find the mixer element that fixes your issue! If you find it, please provide the output of "amixer -c0" and tell us which element exactly you needed to change.

--- Additional comment from birger@birger.sh on 2010-02-01 04:19:32 EST ---

This USB headset becomes a new soundcard.
tried alsactl init on both 0 and 1 with no effect
What I had to do to get proper volume was to 'alsamixer -c1' and crank up 'Speaker'. I'll append amixer output for both card 0 and 1.

The mute button on the headset doesn't work. Where does that belong? Is it some kind of HAL issue? Or is it a pulseaudio issue? Volume up/down buttons work.

By the way... It would be very nice to have a possibility to set default output device directly from right-click on the gnome volume icon instead of having to open the 'Sound Preferences' to do it.

--- Additional comment from birger@birger.sh on 2010-02-01 04:21:53 EST ---

Created attachment 387992 [details]
amixer -c0 output

--- Additional comment from birger@birger.sh on 2010-02-01 04:22:18 EST ---

Created attachment 387993 [details]
amixer -c1 output

--- Additional comment from lpoetter@redhat.com on 2010-02-04 18:28:57 EST ---

Regarding the g-v-c applet request, please open a seperate bug asking for this on gnome bz against gnome-media.

If you use g-v-c do you have a drop-down on the output tab that allows you to choose "speaker" as output or something suchlike?

--- Additional comment from birger@birger.sh on 2010-02-05 01:53:23 EST ---

In the output tab I have a Balance slider and a 'Connector' dropdown with 'Analog Speaker' chosen as default. The other alternative is 'Analog Output'.

The info for the headset in the Gnome Sound Preferences:
- 'Hardware' tab:
  Logitech USB Headset
  1 Output/1 Input
  Analog Stereo Output + Analog Mono Input

- 'Output' tab:
  Logitech USB Headset Analog Stereo
  Stereo

--- Additional comment from birger@birger.sh on 2010-02-05 01:55:54 EST ---

I forgot to mention: The rawhide system had to be reused, so all the alsa info here is from F12 where the headset worked from the start, but with too little volume. I don't have a rawhide system available for testing at the moment.

--- Additional comment from lpoetter@redhat.com on 2010-02-12 10:34:19 EST ---

So you are suggesting that the "speaker" element in "alsamixer -c1" is left untouched by g-v-c's volume slider, but it should be?

Hmm, please provide the output of "pacmd ls"!

--- Additional comment from birger@birger.sh on 2010-02-12 10:59:42 EST ---

if I run alsamixer -c 1 and then use the gnome volume slider the volume in my earphones varies, but the slider in alsamixer stays still. Is this normal?
As stated earlier, max volume is way too low. If I adjust the speaker slider in the alsamixer window from 0 to somewhere in the 80's (just entering red level) I get decent volume. (Speaker: dB gain about 2.45 or above)

If I turn the gnome/pa volume all the way down alsamixer shows the muted state. This also happens if I use the volume buttons on the headset. The volume buttons on the headset affect the gnome volume slider.

The mute button on the headset has no effect on anything.

--- Additional comment from birger@birger.sh on 2010-02-12 11:00:43 EST ---

Created attachment 390517 [details]
pacmd ls output

--- Additional comment from lpoetter@redhat.com on 2010-02-12 12:00:37 EST ---

The output clearly shows that you have a "speaker" output connector you can select in g-v-c's output tab. Please do so. Things will ten work for you.

--- Additional comment from birger@birger.sh on 2010-02-12 12:07:32 EST ---

There is "Analog output" and "Analog speaker". Which one I select has no effect. Both ajust the volume of the headset, and none of them provide full volume unless I use alsamixer also.

--- Additional comment from triage@lists.fedoraproject.org on 2010-03-15 09:34:43 EDT ---


This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from uckelman@nomic.net on 2010-07-18 06:57:32 EDT ---

I can confirm that this problem still occurs in F13. In order to get what I would consider a normal volume level with this headset, I have to go to PulseAudio Manager > Devices > Sinks > alsa_output.usb-Logitech_Logitech_USB_Headset-00.analog-stereo > Properties and crank the volume slider up to 480% (which is the upper limit).

--- Additional comment from uckelman@nomic.net on 2010-09-06 17:58:26 EDT ---

What additional information is needed to get this fixed? I'd be happy to provide it.

--- Additional comment from triage@lists.fedoraproject.org on 2011-06-02 13:07:39 EDT ---


This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from triage@lists.fedoraproject.org on 2011-06-27 10:41:34 EDT ---


Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 1 Alexander Lipatov 2011-09-19 14:46:41 UTC
I have the same bug with sennheiser USB handset in Fedora 15 x64.

I googleg solution: I can run alsamixer from terminal and adjust volume.

Also I found that this bug was fixed in ubuntu. Any chance that this fix will be applied in fedora 15/16? This bug is very annoying!


Please take a look at these links for details how bug was fixed in ubuntu:
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/749856
http://bazaar.launchpad.net/~ubuntu-audio-dev/pulseaudio/ubuntu.natty/revision/345

Some info how to workaround this bug manually:
http://ubuntuforums.org/showthread.php?t=1490192

Comment 2 Joel Uckelman 2012-01-12 20:04:38 UTC
This remains a problem in Fedora 16.

Comment 3 Fedora End Of Life 2012-08-07 16:58:25 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Joel Uckelman 2012-08-14 16:36:50 UTC
The Logitech headset is no longer too quiet in Fedora 17. Some change between F16 and F17 appears to have fixed the problem.


Note You need to log in before you can comment on or make changes to this bug.